git_signature {gert} | R Documentation

## Author Signature

### Description

A signature contains the author and timestamp of a commit. Each commit includes a signature of the author and committer (which can be identical).

### Usage

    git_signature_default(repo = ".")

    git_signature(name, email, time = NULL)

    git_signature_parse(sig)

### Arguments

`repo` | The path to the git repository. If the directory is not a repository, parent directories are considered (see git_find). To disable this search, provide the filepath protected with `I()`. When using this parameter, always explicitly call by name (i.e. `repo =` ) because future versions of gert may have additional parameters.
`name` | Real name of the committer
`email` | Email address of the committer
`time` | timestamp of class POSIXt or NULL
`sig` | string in proper `"First Last <your@email.com>"` format, see details.

### Details

A signature string has format `"Real Name <email> timestamp tzoffset"`. The `timestamp tzoffset` piece can be omitted in which case the current local time is used. If not omitted, `timestamp` must contain the number of seconds since the Unix epoch and `tzoffset` is the timezone offset in `hhmm` format (note the lack of a colon separator)

### See Also

Other git: `git_archive`, `git_branch()`, `git_commit()`, `git_config()`, `git_diff()`, `git_fetch()`, `git_merge()`, `git_rebase()`, `git_remote`, `git_repo`, `git_stash`, `git_tag`

### Examples

    # Your default user
    try(git_signature_default())

    # Specify explicit name and email
    git_signature("Some committer", "sarah@gmail.com")

    # Create signature for an hour ago
    (sig <- git_signature("Han", "han@company.com", Sys.time() - 3600))

    # Parse a signature
    git_signature_parse(sig)
    git_signature_parse("Emma <emma@mu.edu>")

[Package gert version 1.4.3 Index]